Release 0.6.11 (TL'26) [February 2026]
	* Add additional cleanup patterns for LaTeXmk, biblatex, minitoc
	* List dictionary folders in the "Settings & Resources" dialog

	* Include prefix in selection if at the beginning of a line
	* Properly report version info in Windows installer
	* Make spell checker backend accept multiple languages
	* Update translations
	* Switch to build with Qt6 by default
	* Refactor and modernize parts of the code
	* Update URLs

	* Enlarge drawing rect to avoid artifacts in the PDF preview
	* Fix magnifier shadow position when ruler is shown
	* Correctly detect PDF 2.x
	* Fix Scripts menu for nested folders
	* Fix error handling of QSaveFile::commit
	* Fix exit code when transferring to other instance
	* Allow focus transfer to first instance on Windows
	* Fix missing application's taskbar icon on Linux
	* Fix CMake warning when enabling coverage

Release 0.6.10 (TL'25) [February 2025]
	* Add first support for PDF 2.0 /Info metadata
	* Include ConTeXt style scripts
	* Add a macOS arm build

	* Prevent file corruption when saving is interrupted
	* Enhance configuration for ConTeXt
	* Use --synctex=repeat for ConTeXt (Luatex) synctex
	* Don't set the line height if it's not necessary to work around a Qt 6 bug
	* Refactor and modernize parts of the code
	* Update the libraries for the pre-built binaries

	* Display all spellchecking languages in the preferences dialog
	* Fix selection of a language alias in the spellcheck menu
	* Fix focus when switching to a PDF from the "Windows" menu
	* Ensure the input field in the find/replace dialog is initially focused
	* Fix overescaping of \n in "Copy to Find"
	* Fix Wayland appId

Release 0.6.9 (TL'24) [February 2024]
	* Add support for PDF layers
	* Add support for "--insert-text" and "--insert-cite" command line options
	* Enable customization of which columns are shown in the "Insert
	  Citations..." dialog
	* Enable customization of the default citation command used by the "Insert
	  Citations..." dialog
	* Add dtx tag patterns
	* Improve command line parsing

	* Improve the "message to the mailing list" template text
	* Update translations
	* Refactor and modernize parts of the code
	* Update the libraries for the pre-built binaries

	* Fix the limited range of possible guideline positions
	* Fix handling of existing \cite commands when using the "Insert
	  Citations..." dialog
	* Fix searching in the PDF preview
	* Fix selecting text in the PDF preview
	* Fix potentially garbled unicode output in the console window

Release 0.6.8 (TL'23) [February 2023]
	* Make the maximum RAM usage of the PDF previewer configurable (and reduce
	  the default to 256 MiB)
	* Enable typesetting from preview if no source is open
	* Make the PDF paper color configurable
	* Add AppImage support

	* Speed up populating the recently opened files menu (particularly when
	  containing files on slow network drives)
	* Disable the typesetting button in the preview if no source is available
	* Update translations
	* Refactor and modernize parts of the code
	* Update the libraries for the pre-built binaries

	* Fix crash when closing a source opened after the preview
	* Fix crash when killing a typesetting process by closing the source window
	* Fix several memory leaks
	* Fix the PDF preview of files that are in the process of being changed
	  (e.g., during typesetting)
	* Fix focusing of the console when typesetting from the preview
	* Fix (potential) non-sequential ordering of PDF search results
	* Fix repeated PDF searches with the same search string but different search
	  flags
	* Fix blocking UI while performing long PDF searches
	* Fix PDF search result highlighting disappearing too quickly
	* Fix the display of PDF search results in single page view
	* Fix typesetting with symlinked root files
	* Fix quotation of paths in the TEXEDIT & MIKTEX_EDITOR environment
	  variables
	* Pre-select the ruler unit in the "Edit guideline" dialog
	* Fix saving with arbitrary extensions on Windows
	* Fix displaying embedded jpg images on macOS
	* Fix the look and feel on macOS with Qt6

Release 0.6.7 (TL'22) [February 2022]
	* Add a ruler with draggable guidelines to the PDF previewer
	* Improve preservation of Unicode characters during loading/saving
	* Prevent concurrent typesetting in multi-file sources
	* Disable "Remove Aux Files" during typesetting
	* Add full paths as tool tips in the "Open Recent" menu
	* Use native separators (/ or \) in the recent files menu
	* Add "Fit to Content Width" to the PDF preview zoom context menu and to the
	  scaling preferences
	* Improve support for dark themes (changing the syntax highlighting color
	  palette; fixing the color of the current line when changing OS color
	  schemes; fixing the background color of the screen calibration widget for
	  dark themes)
	* Improve interoperability with docstrip by adding support for
	  "%^^A ! TeX..." magic comments

	* Fix crash when using the PDF preview zoom context menu
	* Fix search results for unsaved .tex documents
	* Fix linespacing when (re-)loading a document
	* Fix hang when recent files are on (inaccessible) network drives
	* Fix bugs when populating the recent files menu
	* Fix focus when switching windows from the "Windows" menu
	* Fix filtering in the citation select dialog
	* Fix parsing BiBTeX @STRING entries
	* Fix toggling of items in the "Remove Aux Files" dialog
	* Fix quotes smartening after \
	* Fix display of ScreenCalibrationWidget on macOS

	* Update translations
	* Update libraries for pre-built binaries
	* Modernize and restructure the code to improve quality, stability,
	  maintainability, and the possibilities for future enhancements
	* Improve automatic building, testing, and packaging
	* Automatically build pre-compiled binaries for macOS >= 10.12 and >= 10.15
	* Improve the look and feel of the pre-compiled macOS binaries
	* Improve texworks.appdata.xml
	* Add "Keywords" to texworks.desktop

Release 0.6.6 (TL'21) [March 2021]
	* Add support for macOS 11 Big Sur
	* Add support for HiDPI screens (e.g., Retina screens)
	* Make the text cursor width customizable
	* Add support for environment variables in paths to typesetting tools
	* Add support for custom shortcuts for quickly changing typesetting tools
	* Pre-select *.pdf when the open dialog is called from the preview
	* Only reload a file if its content changed (this improves support for
	  network shares, cloud services, etc.)
	* Add support for Qt's new Javascript engine

	* Fix some crashes
	* Fix some potential memory leaks
	* Fix refreshing of the PDF preview on Windows
	* Fix opening links to PDFs specified with relative paths
	* Fix the context menu in the PDF preview
	* Fix File > Close in the PDF preview
	* Fix <Esc> switching the PDF to fullscreen mode on first press
	* Fix resizing of the columns in the template dialog
	* Fix running some typesetting tools on macOS (by adding their path to $PATH)
	* Fix macOS installer styling
	* Work around vanishing menu items on macOS
	* Fix the disappearance of several text encodings
	* Move resources to (OS dependent) standard locations

	* Update translations
	* Update libraries for pre-built binaries
	* Modernize and restructure the code to improve quality, stability,
	  maintainability, and the possibilities for future enhancements
	* Improve automatic building, testing, and packaging
	* Initial support for Qt6

Release 0.6.5 (TL'20) [March 2020]
	* Fix text selection handling when moving the mouse
	* Fix auto-reloading of TeX documents that were changed outside TeXworks

	* Update translations

Release 0.6.4 [March 2020]
    * Add shortcut (Ctrl+Shift+J) to invoke SyncTeX at the cursor position
    * Make shortcuts for autocompletion configurable
    * Make "Auto-Follow Focus" configurable in the preferences
    * Make editor line spacing customizable
    * Make console output accessible by keyboard; among other things, this makes
      the console work with screen readers
    * Migrate to a more powerful regular expressions engine (e.g. for finding
      and replacing)

    * Fix opening empty files
    * Fix the highlighting of TeX commands that include non-ASCII characters
    * Fix the auto-closing of PDFs with the associated TeXs
    * Fix the PDF display on high-dpi screens like Retina displays
    * Properly handle "&" for recent files menu
    * Fix syntax highlighting in the "New from template" dialog
    * Sort interface locales alphabetically in the preferences
    * Don't show invalid PDF page sizes in the meta data dock
    * Properly show the PDF file size in the meta data dock even for locked or
      invalid files
    * Fix the conversion of Lua tables in Lua scripts
	* Fix the installation of icons on *nix platforms

	* Update translations
	* Update libraries for pre-built binaries
	* Modernize and restructure the code to improve quality, stability,
	  maintainability, and the possibilities for future enhancements
	* Improve unit tests and add automated testing on Windows; this ensures
	  better code quality across all supported operating systems
    * Discontinue Qt4 support; TeXworks uses the more modern Qt5 exclusively now

Release 0.6.3 (TL'19) [March 2019]
	* Implement "Insert Citations..." dialog
	* Implement indenting/unindenting by Tab/Shift+Tab (thanks to fsonner)
	* Make synchronization granularity configurable (highlight corresponding
	  character, word, or line)
	* Add ability to distinguish identically named files by displaying the
	  respective folders they are in in the window title, window menu, and under
	  "Open Recent"
	* Implement "Fit to content width" PDF zoom (which ignores empty space
	  around the text)
	* Disable unavailable typesetting engines
	* Allow to change the editor font size by Ctrl+Mousewheel (thanks to Tim
	  Hoffmann)
	* Improve the detection of spellchecking languages (add ability to search
	  multiple directories and list all results)
	* Hide the menu bar in PDF full screen mode
	* Rework/expand code completion strings (thanks to Joseph Wright)
	* Add/update syntax highlighting for LaTeX, ConTeXt, Lua, DTX (all thanks to
	  Joseph Wright), and BibTeX
	* Add cleanup-patterns for beamer files .nav & .snm
	* Add new/unified icons for typeset (thanks to Tim Hoffmann) and zooming
	* Display paper size and file size in the PDF metadata

	* Fix infinite loop in syntax highlighter (which caused significant
	  slow-down especially for large files)
	* Fix underline when spellchecking with syntax highlighting
	* Fix "Place on Left/Right", especially on multi-screen setups
	* Avoid 'file "" not found' errors when synchronizing
	* Fix synchronization while searching in a PDF
	* Fix fine-grained synchronization near paragraph boundaries
	* Fix the PDF copy menu command
	* Fix PDF text selection
	* Fix font color reset when searching and using stylesheets
	* Fix crashes when working with locked PDFs
	* Fix unexpected cursor movement when using a combination of backspace and
	  up/down arrow keys (thanks to Markus Kuhn)
	* Fix the font in the log parser output
	* Fix persistent magnifying glass
	* Remove unimplemented PDF menu items cut, paste, clear

	* Update translations
	* Update libraries for pre-built binaries

Release 0.6.2 (TL'17) [April 2017]
	* Implement handling of links to external files in the PDF preview
	* Implement a simple screen calibration widget to allow adapting the PDF
	  preview to the screen's resolution
	* Improve responsiveness when opening large documents
	* Use old content instead of rendering placeholers after a PDF was reloaded
	  to facilitate seeing changes
	* Improve the usability of the "Remove Aux Files..." dialog by letting the
	  user toogle the selection by clicking anywhere on the row
	* Add support for the bibliography program "biber" by default
	* Allow custom zoom levels in the PDF status bar context menu
	* Add a Windows manifest so TeXworks looks more "native" on modern versions
	  of Windows

	* Fix PDF zoom speed for high-resolution mouse-wheels
	* Fix a deadlock causing TeXworks to hang when loading PDF annotations such
	  as links
	* Fix crash when changing files outside TeXworks
	* Fix crash when syncing from an if-block in the TeX file
	* Fix crash when reloading a PDF while text was selected
	* Fix enabling of the first/previous/next/last page toolbar buttons in the
	  PDF preview
	* Fix the wrong appearance of the PDF magnifier in some cases
	* Fix truncation issues and misreported Windows versions in "Email to
	  mailing list"

	* Update translations

Release 0.6.1 (TL'16) [May 2016]
	* Fix "Jump to Source" from PDF context menu
	* Fix fine-sync'ing close to PDF line boundaries
	* Fix loading of Qt-global translations
	* Fix pixel-alignment after zoomFitWindow in continuous mode
	* Fix handling of changing scroll bar visibilities in zoomFitWidth and
	  zoomFitWindow
	* Allow horizontal scrolling by Shift+MouseWheel
	* Update translations

Release 0.6.0 (TL'16) [April 2016]
	* Complete redesign of the PDF previewer using QtPDF by Charlie Sharpsteen
	* Fast and responsive preview even at very high magnifications
	* New page modes: continuous scrolling and two-column layout
	* Text selection/copying from the PDF
	* Go back to previous view after clicking on a link using Alt+left arrow

	* Fix disappearing spellcheck underline with some fonts/font sizes in Qt 5
	* Update the width of the line number display when changing the editor font
	* Show a note in the "About Scripts" dialog for disabled script languages
	* Explicitly add a "Quit TeXworks" menu item to the global menubar on
	  Mac OS X

	* Make Qt5 the default framework for building TeXworks
	* Use Travis CI for continuous integration tests and builds for Windows and
	  Mac OS X
	* Add support for Lua 5.3

Release 0.4.6 (TL'15) [April 2015]
	* Implement character-level synchronization by using text searching to
	  assist SyncTeX
	* Lift hardwrap line length limitation and implement (hard) unwrap
	* Always show console output tab while typesetting to show progress
	* Improve the handling of UTF-8 byte order marks
	* Improve the log parsing script
	* Improve the handling of script errors

	* Work around a race condition that causes lines to become invisible,
	  subsequently leading to a crash
	* Fix incorrectly accumulating indent
	* Fix SyncTeX initialization with non-ASCII filenames
	* Fix selection of whole lines and when selecting right-to-left
	* Fix hangs and crashes when using "Fit to ..." in the PDF view
	* Fix a crash when running an invalid system command from scripts
	* Fix encoding issues when reading environment variables
	* Fix scrolling when searching for multi-line strings
	* Fix auto-completion when working with RTL languages
	* Improve the handling of Retina displays in Mac OS X
	* Fix a crash when opening PDF files from the Windows Explorer
	* Provide texworks.appdata.xml for *nix platforms

	* Fix compilation with Qt 5
	* Improve the CMake build system
	* Add support for Lua 5.2
	* Move development from Google Code to GitHub

Release 0.4.5 (TL'13) [April 2013]
	* Fix "Restore defaults" in preferences dialog
	* Fix removal and selection of text moved via drag'n'drop
	* Fix default saving location
	* Keep UTF-8 BOMs in files that have them

	* Make "Goto Source" lead to the last active source window
	* Implement close button for the console output panel
	* Implement "Open PDF with TeX" option
	* Improve compatibility with OS color schemes
	* New encoding support for "Mac Central European Roman"
	* Code cleanup

	* Updated log parser (improve handling of long messages and file paths)
	* New script properties/functions: cursorPosition, getEngineList()

Release 0.4.4 (TL'12) [April 2012]
	* Fix crash caused by Qt when adding lines at the beginning of a document
	* Fix search/replace for multi-line strings
	* Work around layout issues which cause lines to disappear
	* Fix building with BSD make
	* Fix block selection of last paragraph
	* Fix overwrite of "Find all occurrences" option

	* Improve "Unable to execute..." error dialog
	* Rename "Show/Hide Output Panel" to "Show/Hide Console Output" in the menu
	  and the preferences dialog
	* Remove subject and add instructions to body of the "email to mailinglist"
	* Bring the window running TeX to the top at the beginning of typesetting to
	  ensure that the console output is visible
	* Allow symlinks and display only folders in "path for programs" in the
	  preferences dialog
	* Add "Clear Recent Files" to "Open Recent" menu
	* Add an autocompletion entry to the preferences dialog
	* Add Lua(La)TeX to the default tools (and drop LaTeXmk by default)
	* Add an option to open log files
	* Add CMake support (experimental)
	* Update SyncTeX to version 1.17
	* Update URLs to http://www.tug.org/texworks/

	* Some enhancements to functions available to scripting
	* Avoid showing an empty message box for script results
	* Resolve symlinks when looking for scripts
	* Expose the scripts' titles, authors, filenames, etc. to scripting
	* Update/improve scripts: open pdf in default viewer, derive spellchecking
	  language from babel package, log parser

Release 0.4.3 (TL'11) [June 2011]
	* Fix bug in autocompletion that could cause data loss

Release 0.4.2 (TL'11 RC) [June 2011]
	* Work around layout issues with Qt 4.7.2 that caused TeXworks to crash
	  sometimes
	* Fix autocompletion at the beginning of a line
	* Respect per-file setting "None" for syntax highlighting, smart quotes, and
	  auto indent
	
	* Update SyncTeX to version 1.16
	* Allow to disable autocompletion by editing the configuration file
	* Fix runtime warning about empty file watchers
	* Enhance Mac patches for poppler
	* Improve installation and packaging routines

Release 0.4.1 (TL'11 RC) [May 2011]
	* Add option to always close the output panel after sucessful typesetting
	  (regardless of its previous state)
	* Invoke "Goto page" and "Goto line" from the status bar widgets
	* Implement pdf zoom menu from the status bar widget
	* Allow to reload a file with selectable encoding
	* Implement "Help > Settings and Resources..." for easy access, in
	  particular to customizable resources
	* Speed up program start-up
	* Add \begin{document} to the auto-completion
	
	* Work around the almost invisible highlighting when searching with the
	  "Find all occurences" option
	* Improve highlighting of auto-completed text
	* Let typeset combobox adjust size dynamically
	* Remove the "+" from the zoom tool icon in the PDF preview
	* Reduce size of packages
	* Fix handling of non-existent files in automatic resource updates
	* Fix handling of TEXEDIT environment variable; add support for the
	  MIKTEX_EDITOR environment variable

	* [Win] Add installer icon
	* [Win] Add shortcut to manual to the start menu during setup
	* [Win] Fix cropping of tooltips
	* [*nix] Fix invisible icons in application switcher with compiz
	* Fix several compile time and runtime warnings
	* Rename default ConTeXt tools
	* Add more extensions for associating files with TeXworks
	* Add support for Python 3.2
	* Clean up unused code & files

Release 0.4.0 [March 2011]
	* Scripting (QtScript, Lua, Python)
	* New "Follow focus" mode (experimental)
	* New %!TeX header (spellcheck)
	* New "Save All" menu item
	* New auto-completion file for the beamer class
	* Support background color/font flags in syntax highlighting
	* Save and restore window states for recent documents
	* Implement a command line parser
	* Automatically update resources when installing new releases

	* Only display each language once in the sellchecker language selection
	* Display human-readable names in addition to the ISO codes for the
	  spellchecker language selection
	* Implement "Smarten quotes" for a selection
	* Preserve document view when reloading after external changes
	* Handle different file encodings and line ending conventions and allow the
	  user to change them
	* Made pdfLaTeX the default on fresh installation
	* Indicate a document's modification state in the windows menu
	* Improve the "Email to mailing list" template
	* Make "Highlight current line" color palette-aware (issue 467)
	* Updated SyncTeX to 1.9
	* Allow Esc and Return in the tags and search result windows
	* Improve "Remove Auxiliary Files" dialog
	* Fix handling of external file links in PDFs
	* Numerous other bug fixes
	
	* [Win/*nix] Set TeXworks as the default editor when hitting 'e' after a
	  TeX error
	* [Win] Fix handling of "All Files" in the "Save As" dialog (issue 257)

Release 0.2.3 (TL'09 DVD release)
	* Fix potential crash in Balance Delimiters
	* Fix a few memory leaks (issue 212)
	* Localization updates (Chinese, German, Italian, Polish)

Release 0.2.2
	* Bugfix to recognize jpeg image on windows

Release 0.2.1
	* Fixed order of taskbar buttons (issue 203)
	* Fixed crash when opening a PDF file from the startup dialog (issue 207)
	* Localization updates (Persian)

Release 0.2.0
	* Initial stable release
